/*
	MiniTERM Standard IO Library
	Copyright 1991-1995 Ogasawara Hiroyuki (COR.)
*/

#ifndef __CORLIB__
# include        <corlib.h>
#endif
#ifndef __MTm_LIB__
# include        "mtmlib.h"
#endif
#ifndef __MTa_LIB__
# include        "mtalib.h"
#endif
#ifndef __MTs_LIB__
# include        "mtslib.h"
#endif

#ifdef	getchar
#undef	getchar
#endif
#ifdef	putchar
#undef	putchar
#endif
#ifdef	putc
#undef	putc
#endif

#define		main		MTaMain

#define		getch		MTaGetc
#define		getchar		MTsGetc
#define		gets		MTsGets

#define		putch		MTmVPutc
#define		putchar		MTsPutc
#define		puts		MTsPuts

#define		exit		MTsExit

#define		fputc		MTsFPutc
#define		putc		MTsFPutc
#define		fputs		MTsFPuts
#define		fgets		MTsFGets
#define		fwrite		MTsFWrite
#define		fflush		MTsFFlush
#define		write		MTsWrite

#define		printf		MTsPrintf
#define		fprintf		MTsFPrintf

#define		sleep		MTsSleep
#define		usleep		MTsUSleep

#define		signal		MTsSignal

